package com.frontleaves.bungeecross.commands;

import com.frontleaves.bungeecross.BungeeCross;
import com.frontleaves.bungeecross.configuration.VariableStorage;
import net.md_5.bungee.api.CommandSender;
import net.md_5.bungee.api.config.ServerInfo;
import net.md_5.bungee.api.plugin.Command;
import org.jetbrains.annotations.NotNull;

/**
 * 返回大厅指令
 *
 * @author 筱锋xiao_lfeng
 * @since v1.0-SNAPSHOT
 * @version v1.0-SNAPSHOT
 */
public class ReturnHubCommand extends Command {
    private final BungeeCross plugin;
    public ReturnHubCommand(String name, BungeeCross bungeeCross) {
        super(name);
        plugin = bungeeCross;
    }

    @Override
    public void execute(@NotNull CommandSender commandSender, String[] strings) {
        // 检查玩家所属服务器
        String playerName = commandSender.getName();
        ServerInfo serverInfo = plugin.getProxy().getPlayer(playerName).getServer().getInfo();
        if (VariableStorage.getLoginServer().contains(serverInfo.getName())) {
            commandSender.sendMessage(VariableStorage.getPrefix() + "登录服无权限传送");
        } else {
            plugin.getProxy().getPlayer(playerName).connect(plugin.getProxy().getServerInfo("登陆大厅"));
        }
    }
}
